<div class="trufla-validator">
  <div class="d-flex flex-column json-input">
    <p class="title">{{ label || "Put Form Json here .... !" }}</p>
    <div class="json-valid-message" *ngIf="_dirty && textArea.value?.trim()">
      <div class="alert alert-danger" *ngIf="jsonError" role="alert">
        <p class="errors">Invalid Json : {{ jsonError }}</p>
      </div>

      <div class="alert alert-success" *ngIf="!jsonError" role="alert">
        <p class="errors">valid json</p>
      </div>
    </div>
    <textarea
      class="col"
      style="resize: none"
      #textArea
      (keyup)="textChanged($event)"
      [value]="_textAreaValue"
    >
    </textarea>
  </div>
</div>
